Package svnmailer :: Package notifier :: Module _textmail

[hide private]

# Module _textmail

source code

text based email notifier

Author: Andr\xc3\xa9 Malo

Classes | [hide private]

| TextMailNotifier Bases class for textual mail notifiers
| SplittingDecorator Splits the content between diffs, if it gets loo long
| TruncatingDecorator Truncates the mail body after n bytes
| URLDecorator Shows only the urls, if the mail gets too long
| URLTruncatingDecorator Truncates the mail body after n bytes
| _TextMail A text mail class (email.MIMEText produces undesired results)

Functions | [hide private]

`list`

getNotifier(cls, config, groupset) Returns an initialized notifier or nothing | source code

`class`

decorateNotifier(cls, action, config, groupset) Decorates the notifier class (or not) | source code

Variables | [hide private]

| __package__ = ``'``svnmailer.notifier``'``

Function Details | [hide private]

### getNotifier(cls, config, groupset)

source code

Returns an initialized notifier or nothing

Parameters:
  - `cls` (`class`) - The notifier base class to use
  - `config` (`svnmailer.settings.Settings`) - The svnmailer config
  - `groupset` (`list`) - The groupset to process
Returns: `list`
  The list of notifiers (containing 0 or 1 member)

### decorateNotifier(cls, action, config, groupset)

source code

Decorates the notifier class (or not)

Parameters:
  - `cls` (`class`) - The notifier class
  - `action` (`unicode`) - The configured action
  - `config` (`svnmailer.settings.Settings`) - The svnmailer config
  - `groupset` (`list`) - The groupset to process
Returns: `class`
  The decorated class or `None`